.dat-lenh-notice {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	top: 15px;

	&.success {
		color: var(--green-2);
	}

	&.failure {
		color: var(--red);
	}
}

.dat-lenh-popup {
	display: flex;
	position: fixed;
	right: 0;
	left: 0;
	top: 100%;
	background: #EBFFEB;

	&.is-buying {
		background: #EBFFEB;
	}

	&.is-selling {
		background: #FEF6F6;
	}

	&.is-editing {
		background: #E5E9F0;
	}

	z-index: 4;
	transition: all 0.3s ease;

	.enable-dat-lenh-popup & {
		transform: translate3d(0, calc(-100% - 26px), 0);
	}

	.custom-checkbox--3 {
		input:checked+span:before {
			border-color: #c4c4c4;
			background: #c4c4c4;
		}

		span:before {
			top: 6px;
		}
	}
}

div[class*="dat-lenh__info"] {
	margin-top: 15px;
}

.dat-lenh-popup__actions {
	position: relative;
	flex: 1;
	padding: 15px 11px;
}

.dat-lenh-popup__lenh-thuong {
	width: 100%;
	margin-bottom: 18px;

	.custom-checkbox span {
		padding-left: 19px;
	}
}

.dat-lenh-popup__form {
	position: relative;
	align-items: flex-start;

	.form__body {
		width: percentage(809/937);
		padding-right: 10px;
		border-right: 1px solid var(--light-1);
		margin-right: 10px;
		position: relative;
	}

	.form__submit {
		flex: 1;
	}

	.dropdown-menu a {
		padding: 5px 10px;
		color: var(--white);
		display: block;
	}

	.dropdown-toggle {
		position: relative;
		padding: 5px;
		display: block;
		font-weight: bold;

		i {
			position: absolute;
			right: 5px;
			top: 50%;
			transform: translateY(-50%);
		}
	}

	.form__select-tai-khoan .dropdown-toggle {
		background: #fff;
	}

	input[type="text"] {
		border-radius: 2px;
		max-width: 100%;
		line-height: inherit;

		@include placeholder() {
			font-weight: bold;
		}
	}

	.form__close {
		position: absolute;
		top: -10px;
		right: 10px;
		cursor: pointer;
		font-size: 18px;
	}
}

.form__body__inputs {
	display: flex;
	justify-content: space-between;

	input[type="text"] {
		padding: 5px 10px;
		width: 100%;
	}
}

.form__select-mua-ban {
	.dropdown-toggle {
		font-weight: 400;
	}
}

.form__input--gia {
	position: relative;

	.quantity {
		position: absolute;
		top: 50%;
		transform: translateY(-50%);
		right: 7px;
	}
}

.form__input--OTP {
	width: 60px;
	flex: 1;

	.custom-checkbox {
		position: absolute;
		top: 9px;
		right: 5px;
	}
}

.form__input--code,
.form__input--OTP {
	position: relative;

	.custom-checkbox {
		position: absolute;
		top: 9px;
		right: 5px;
	}
}

.form__select-mua-ban {
	border: 1px solid transparent;

	a {
		display: block;
		color: var(--white);
	}

	&.is-selling {
		.dat-lenh__mua>a {
			text-align: left;
			background: var(--dark-2);
		}

		.dat-lenh__ban {
			width: 66.66%;

			>a {
				text-align: center;
				background: var(--red-2);
			}
		}
	}
}

.dat-lenh__mua {
	flex: 1;

	>a {
		border-radius: 2px 0 0 2px;
		text-align: center;
		background: var(--green-2);
	}
}

.dat-lenh__ban {
	width: 33.33%;

	>a {
		border-radius: 0 2px 2px 0;
		background: var(--dark-2);
	}

	.dropdown-toggle i {
		right: 10px;
	}
}

.form__select-tai-khoan>ul {
	border-radius: 2px;
	border: 1px solid var(--light-1);

	.dropdown-menu {
		background: var(--white);
		border: 1px solid var(--light-1);

		a {
			color: inherit;
		}
	}
}

/* .dat-lenh-popup__btn--others {
  position: fixed;
  bottom: 0;
  right: 395px;
  display: none;

  .enable-dat-lenh-popup & {
	display: block;
  }

  button {
	text-transform: initial;
  }
  .btn {
	padding: 0 5px;
	border-radius: 2px 2px 0 0;
	height: 24px;
	line-height: 20px;
  }
} */

.dat-lenh__info--otp button {
	width: 100%;
	padding: 0 2px;
	font-size: 12px;
	text-transform: initial;
}

.dat-lenh__gio-lenh {
	margin-top: 10px;

	i {
		margin-right: 5px;
	}

	.gio-lenh__init i {
		color: var(--green-2);
	}

	a:first-child {
		margin-right: 20px;
	}
}

.dat-lenh-popup__tk-info {
	background: var(--dark-2);
	padding: 10px 20px;
	width: 317px;
	color: var(--white);
	visibility: hidden;

	&.is-visible {
		visibility: visible;
	}

	>div+div {
		margin-top: 4px;
	}

	/* table {
	margin-top: 10px;
	table-layout: fixed;
	background: var( --dark-0 );
	td {
	  padding: 3px 8px;
	  border: 1px solid var( --dark-2 );
	  span {
		font-weight: bold;
	  }
	}
  }
  &__col-sm {
	width: 75px;
  } */
}

.form__body__infos {
	display: flex;
	position: absolute;
	bottom: -5px;
	right: 15%;
	left: 0;

	table {
		width: auto;

		&:not(:last-child) {
			margin-right: 36px;
		}
	}
}

.dat-lenh-popup__tk-info__name {
	margin: 0 0 5px;
}

.dat-lenh-popup__tk-info__company {
	text-transform: uppercase;
}

.is-selling .dat-lenh__info--tk {
	display: none !important;
}

.info--khoi-luong--ban {
	display: none !important;
}

.is-selling .info--khoi-luong--ban {
	display: block !important;
}

.is-selling .info--khoi-luong--ban.is-hidden {
	display: none !important;
}

.is-selling .info--khoi-luong {
	display: none !important;
}

.info--gia--ban {
	display: none !important;
}

.is-selling .info--gia--ban {
	display: block !important;
}

.is-selling .info--gia--ban.is-hidden {
	display: none !important;
}

.is-selling .info--gia {
	display: none !important;
}

.form__body__inputs>div:not(:first-child) {
	margin-left: 5px;
}

.dat-lenh-popup__tk-info {
	width: 310px;
}

.form__input--code {
	width: 60px;
}

.form__input--gia {
	width: 88px;
}

.form__select-tai-khoan {
	width: 80px;
}

.form__select-mua-ban {
	width: 140px;
}

.form__input--KL {
	width: 70px;
}

@media (min-width: 1280px) {
	.form__body__inputs>div:not(:first-child) {
		margin-left: 12px;
	}

	.dat-lenh-popup__form .dropdown-toggle {
		padding: 5px 10px;

		i {
			right: 15px;
		}
	}

	.dat-lenh-popup__tk-info {
		width: 310px;
	}

	.form__select-mua-ban {
		width: 178px;
	}

	.dat-lenh-popup__tk-info table {
		font-size: 11px;
	}

	.form__input--code {
		width: 102px;
	}

	.form__input--gia {
		width: 115px;
	}

	.form__select-tai-khoan {
		width: 139px;
	}

	.form__input--KL {
		width: 115px;
	}

	.form__select-mua-ban {
		width: 178px;
	}

	.dat-lenh__gio-lenh a:first-child {
		margin-right: 10px;
	}
}

@media (min-width: 1440px) {
	.dat-lenh-popup__tk-info {
		width: 270px;
	}

	.dat-lenh-popup__actions {
		padding-right: 150px;
	}

	.dat-lenh-popup__form .form__body {
		padding-right: 25px;
		margin-right: 25px;
	}

	.form__body__inputs>div:not(:first-child) {
		margin-left: 20px;
	}

	.form__input--gia,
	.form__input--KL,
	.form__input--code {
		width: 100px;
	}

	.dat-lenh-popup__btn--others {
		right: unset;
	}
}

@media (min-width: 1600px) {
	.dat-lenh-popup__tk-info {
		width: 390px;
	}

	.dat-lenh-popup__actions {
		padding-right: 250px;
	}

	.form__input--gia,
	.form__input--KL,
	.form__input--code {
		width: 140px;
	}
}

.dat-lenh-popup__btn--submit {
	padding: 5px 10px;
	line-height: 1;
	text-transform: capitalize;
}